• If you own an older iPhone, you need to install this update ASAP to patch a dangerous flaw

    2 days ago - By Phone Arena

    Apple has released iOS 15.7.2 and iPadOS 15.7.2 to patch a serious WebKit vulnerability that has been exploited according to one report.
    Read more ...